PayLink Settings

get

Retrieve the paylink configuration settings for a terminal, including enablement status and redirect URLs.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: paylink
get
/rest/v2/settings/terminal/paylink

Create PayLink Settings

post

Create a paylink settings for a terminal by enabling or configuring paylink payment options.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains the paylink configuration settings for the terminal.

terminalIdinteger · int64Required

Identifier for the terminal associated with the Paylink settings.

Example: 10018001
enabledboolean · enumRequired

Indicates whether Paylink settings are enabled (true) or disabled (false).

Example: truePossible values:
success-urlstringRequired

URL to redirect the user after a successful payment.

Example: https://example.com/paylink/success
cancel-urlstringRequired

URL to redirect the user if the payment is canceled.

Example: https://example.com/paylink/cancel
Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: paylink
post
/rest/v2/settings/terminal/paylink
put

Update the Paylink settings for a terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains the paylink configuration settings for the terminal.

terminalIdinteger · int64Required

Identifier for the terminal associated with the Paylink settings.

Example: 10018001
enabledboolean · enumRequired

Indicates whether Paylink settings are enabled (true) or disabled (false).

Example: truePossible values:
success-urlstringRequired

URL to redirect the user after a successful payment.

Example: https://example.com/paylink/success
cancel-urlstringRequired

URL to redirect the user if the payment is canceled.

Example: https://example.com/paylink/cancel
Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: paylink
put
/rest/v2/settings/terminal/paylink
delete

Delete the paylink settings configured for a terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

ok

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: paylink
delete
/rest/v2/settings/terminal/paylink

Last updated

Was this helpful?